[**@rxap/data-grid v19.0.3-dev.0**](../README.md)

***

[@rxap/data-grid](../globals.md) / DataGridEditCellDefDirectiveContext

# Interface: DataGridEditCellDefDirectiveContext\<T\>

Defined in: [data-grid-edit-cell-def.directive.ts:7](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/data-grid/src/lib/data-grid-edit-cell-def.directive.ts#L7)

## Type Parameters

• **T** *extends* `Record`\<`string`, `any`\> = `Record`\<`string`, `any`\>

## Properties

### $implicit

> **$implicit**: `T`\[keyof `T`\]

Defined in: [data-grid-edit-cell-def.directive.ts:8](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/data-grid/src/lib/data-grid-edit-cell-def.directive.ts#L8)

***

### data

> **data**: `T`

Defined in: [data-grid-edit-cell-def.directive.ts:9](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/data-grid/src/lib/data-grid-edit-cell-def.directive.ts#L9)
